
void bufferData(enum dataChunks chunk);

int worldBuilder(enum dataChunks chunk);

int buildSFX(char* props);

int buildBGM(char* props);

int buildSynergy(char* props);

int buildRoom(char* props);

int buildWarp(char* props);

int buildHyper(char* props);

int buildPerson(char* props);

int buildObstruction(char* props);

int buildFGImage(char* props);

int buildKaos(char* props);

int buildTextBox(char* props);

int modTextBox(char* props);

int chainKaos(char* props);

int* countMapThings(int* counts, enum dataChunks chunk);

void unloadData(enum dataChunks chunk);

void pushBufferData();

void pager();